compile=cl -MD -GX -c -I. -I../../../include
link=link.exe kernel32.lib gdi32.lib user32.lib opengl32.lib winmm.lib /SUBSYSTEM:CONSOLE \
	../../../lib/win32/vc/libv.lib
all:nnt.exe
nnwork.obj:nnwork.cpp
	$(compile) nnwork.cpp
neuron.obj:neuron.cpp
	$(compile) neuron.cpp
nnt.obj:nnt.cpp
	$(compile) nnt.cpp
nnt.exe:nnt.obj neuron.obj nnwork.obj
	$(link) nnt.obj neuron.obj nnwork.obj
clean:
	del *.obj
	del nnt.exe
